﻿namespace Parsing.Schema;

[Flags]
public enum BlockType
{
    Integer = 1,
    String = 2,
    // technically not a block type but keeping it here for consistency/having all types in one place
    Fragment = 4,
    FixedRepetition = 8,
    GreedyRepetition = 16,
    NonZeroRepetition = 32,
}
